#include <iostream>
#include <math.h>
using namespace std;
main()
{
      int n,i,j,t;
      cin>>n;
      int a[n][2];
      for(i=0;i<n-1;i++)
      {
                      for(j=0;j<2;j++)
                      cin>>a[i][j];
      }
      cout<<2;
}